/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import "~@ionic/angular/css/display.css";

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

///////////////////////////////////////////////
@import "theme/themes.scss";
@import "assets/styles/fonts.scss";
@import "assets/styles/mat-form-field.scss";
@import "assets/styles/buttons.scss";
@import "assets/styles/popover.scss";
@import "assets/styles/autocomplete.scss";
@import "assets/styles/ion-items.scss";
@import "assets/styles/ion-cards.scss";
@import "assets/styles/grids.scss";
@import "assets/styles/hideShow.scss";
@import "assets/styles/navBar.scss";

.tabs-inner {
    position: relative;
    flex: 1;
    contain: layout size style;
    ion-content {
        > div {
            margin-bottom: 70px;
            padding-top: 62px !important;
        }
    }
}

#topShadowCard {
    margin: 0;
    position: fixed;
    z-index: 99;
    left: 0;
    right: 0;
    height: 60px;
    border-radius: 0;
    background: rgb(247, 247, 247);
    background: linear-gradient(180deg, rgba(247, 247, 247, 1) 33%, rgba(247, 247, 247, 0) 100%);
    box-shadow: none !important;
}

#browseInput .mat-form-field-appearance-fill .mat-form-field-flex {
    background-color: #ffffff00 !important;
    border: solid 0px #69737e67 !important;
}

body.dark #topShadowCard {
    background: rgb(0, 0, 0);
    background: linear-gradient(180deg, rgb(0, 0, 0) 33%, rgba(0, 0, 0, 0) 100%);
}

body.dark {
    #browseInput.top {
        box-shadow: 0 4px 16px rgba(0, 0, 0, 0.5) !important;
    }
    #appTitle {
        .mat-icon {
            color: white;
        }
    }
}

ion-tab-bar {
    --background: #ffffffa6 !important;
    // padding-bottom: 7px !important;
    // padding-top: 7px !important;
}

body.dark ion-tab-bar {
    --background: var(--ion-background-color-transparency) !important;
}

.mat-form-field {
    margin: 5px !important;
}
